Subject: bug#33520: problem with bad drive... any hope?

From: carl hansen <[email-masked]>
Date: Mon, 26 Nov 2018 16:53:33 -0800

start reading at the end.

GParted 0.32.0 --enable-libparted-dmraid --enable-online-resize

   Libparted 3.2

   Create Primary Partition #1 (ext4, 3.64 TiB) on /dev/sda  00:02:07
  ( ERROR )

   create empty partition  00:00:19    ( SUCCESS )

   path: /dev/sda1 (partition)
   start: 2048
   end: 7814035455
   size: 7814033408 (3.64 TiB)
   Set partition name to "T4" on /dev/sda1  00:00:18    ( SUCCESS )
   clear old file system signatures in /dev/sda1  00:00:13    ( SUCCESS )

   write 512.00 KiB of zeros at byte offset 0  00:00:00    ( SUCCESS )
   write 4.00 KiB of zeros at byte offset 67108864  00:00:00    ( SUCCESS)
   write 4.00 KiB of zeros at byte offset 274877906944  00:00:00    ( SUCCESS )
   write 512.00 KiB of zeros at byte offset 4000784580608  00:00:00
( SUCCESS )
   write 4.00 KiB of zeros at byte offset 4000785039360  00:00:00    ( SUCCESS )
   write 8.00 KiB of zeros at byte offset 4000785096704  00:00:00    ( SUCCESS )
   flush operating system cache of /dev/sda  00:00:09    ( SUCCESS )
   set partition type on /dev/sda1  00:00:14    ( SUCCESS )

   new partition type: ext4
   create new ext4 file system  00:01:03    ( ERROR )

   mkfs.ext4 -F -O ^64bit -L ʼT4seagatecarlʼ ʼ/dev/sda1ʼ  00:01:03    ( ERROR )

   64-bit filesystem support is not enabled. The larger fields afforded by
   this feature enable full-strength checksumming. Pass -O 64bit to rectify.
   Creating filesystem with 976754176 4k blocks and 244195328 inodes
   Filesystem UUID: b9c7a5e8-ab9c-443d-b8d0-aef15cc0d799
   Superblock backups stored on blocks:
   32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632, 2654208,
   4096000, 7962624, 11239424, 20480000, 23887872, 71663616, 78675968,
   102400000, 214990848, 512000000, 550731776, 644972544
   Allocating group tables: done
   Writing inode tables: done
   Creating journal (262144 blocks): done
   Writing superblocks and filesystem accounting information: 82/29809
   mke2fs 1.44.4 (18-Aug-2018)
   mkfs.ext4: Input/output error while writing out and closing file system